﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace SlnMesnac.Model.domain
{
    [SugarTable("record_staff_attendance"), TenantAttribute("mes")]
    [DataContract(Name = "RecordStaffAttendance 记录员工打卡")]
    public class RecordStaffAttendance
    {
        //public BaseStaffInfo baseStaffInfo { get; set; }
        /// <summary>
        /// 
        /// </summary>
        [SugarColumn(ColumnName = "obj_id", IsPrimaryKey = true,IsIdentity =true)]
        public int ObjId { get; set; }

        /// <summary>
        /// 员工id
        /// </summary>
        [SugarColumn(ColumnName = "staff_id")]
        public string StaffId { get; set; }

        /// <summary>
        /// 打卡类型
        /// </summary>
        [SugarColumn(ColumnName = "attendance_type")]
        public string AttendanceType { get; set; }

        /// <summary>
        /// 班组编号
        /// </summary>
        [SugarColumn(ColumnName = "team_code")]
        public string TeamCode { get; set; }

        /// <summary>
        /// 班次
        /// </summary>
        [SugarColumn(ColumnName = "classes")]
        public string Classes { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [SugarColumn(ColumnName = "remark")]
        public string Remark { get; set; }

        /// <summary>
        /// 是否标识
        /// </summary>
        [SugarColumn(ColumnName = "is_flag")]
        public string IsFlag { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [SugarColumn(ColumnName = "create_by")]
        public string CreateBy { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [SugarColumn(ColumnName = "create_time")]
        public string CreateTime { get; set; }


        /// <summary>
        /// 更新人
        /// </summary>
        [SugarColumn(ColumnName = "update_by")]
        public string UpdateBy { get; set; }

        /// <summary>
        /// 更新时间
        /// </summary>
        [SugarColumn(ColumnName = "update_time")]
        public string UpdateTime { get; set; }
    }
}
