﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface ProdPlanDetailService : IBaseService<ProdPlanDetail>
    {
        /// <summary>
        /// 获取所有工单信息
        /// </summary>
        /// <returns></returns>
        List<ProdPlanDetail> GetPlanDetails();

        /// <summary>
        /// 验证添加员工打卡记录
        /// </summary>
        /// <param name="planDetails"></param>
        /// <returns></returns>
        bool InsertPlanDetails(List<ProdPlanDetail> planDetails);

        /// <summary>
        /// 根据工单号查询此工单所有明细
        /// </summary>
        /// <param name="orderCode"></param>
        /// <param name="planCode"></param>
        /// <returns></returns>
        ProdPlanDetail GetPlanDetailsByPlanCode(string planCode);
    } 
}
