﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface ProdPlanInfoService : IBaseService<ProdPLanInfo>
    {
        /// <summary>
        /// 获取所有工单信息
        /// </summary>
        /// <returns></returns>
        List<ProdPLanInfo> GetRecordStaffAttendances();

        /// <summary>
        /// 根据订单编号、工单编号、物料名称获取工单信息
        /// </summary>
        /// <returns></returns>
        List<ProdPLanInfo> GetRecordStaffAttendancesByConditions(string orderCode,string planCode,string materialCode, string stationCode, string planStatus);
    }
}
