﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Text;
using System.Threading.Tasks;

namespace SlnMesnac.WPF.ViewModel
{
    public class TechnologicalViewModel : INotifyPropertyChanged
    {
        /// <summary>
        /// 按钮文字转换事件
        /// </summary>
        public event PropertyChangedEventHandler PropertyChanged = delegate { };

        public TechnologicalViewModel()
        {
            Information1 = "001";
            Information2 = "002";
            Information3 = "003";
            Information4 = "004";
            Information5 = "005";
        }


        #region
        /// <summary>
        /// 信息1
        /// </summary>
        private string information1;
        public string Information1
        {
            get { return information1; }
            set { information1 = value; OnPropertyChanged("Information1"); }
        }

        /// <summary>
        /// 信息2
        /// </summary>
        private string information2;
        public string Information2
        {
            get { return information2; }
            set { information2 = value; OnPropertyChanged("Information2"); }
        }

        /// <summary>
        /// 信息3
        /// </summary>
        private string information3;
        public string Information3
        {
            get { return information3; }
            set { information3 = value; OnPropertyChanged("Information3"); }
        }

        /// <summary>
        /// 信息4
        /// </summary>
        private string information4;
        public string Information4
        {
            get { return information4; }
            set { information4 = value; OnPropertyChanged("Information4"); }
        }

        /// <summary>
        /// 信息5
        /// </summary>
        private string information5;
        public string Information5
        {
            get { return information5; }
            set { information5 = value; OnPropertyChanged("Information5"); }
        }
        #endregion
        public void OnPropertyChanged([CallerMemberName] string propertyName = "")
        {
            PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
