﻿using SlnMesnac.Model.domain;
using SlnMesnac.Repository.service.@base;
using System;
using System.Collections.Generic;
using System.Text;

namespace SlnMesnac.Repository.service
{
    public interface IRecordStaffCommuteService : IBaseService<RecordStaffCommute>
    {
        /// <summary>
        /// 获取记录员工上下班打卡信息
        /// </summary>
        /// <returns></returns>
        List<RecordStaffCommute> GetRecordStaffCommutes();

        /// <summary>
        /// 根据员工id和时长查找对应记录
        /// </summary>
        /// <param name="id"></param>
        /// <param name="currentTime"></param>
        /// <returns></returns>
        RecordStaffCommute GetStaffCommuteByIdAndDuration(string id,string currentTime);
    }
}
